Package org.apache.cayenne.access.translator.batch

## Class InsertBatchTranslator

- java.lang.Object
- - org.apache.cayenne.access.translator.batch.DefaultBatchTranslator
  - - org.apache.cayenne.access.translator.batch.InsertBatchTranslator

- All Implemented Interfaces:
    `BatchTranslator`

      public class InsertBatchTranslator
      extends DefaultBatchTranslator

  Translator of InsertBatchQueries.

- - ### Field Summary

    - ### Fields inherited from class org.apache.cayenne.access.translator.batch.DefaultBatchTranslator

      `adapter, bindings, query, sql, translated, trimFunction`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InsertBatchTranslator​(InsertBatchQuery query, DbAdapter adapter)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected DbAttributeBinding[]` | `createBindings()` |
    `protected String` | `createSql()` |
    `protected DbAttributeBinding[]` | `doUpdateBindings​(BatchQueryRow row)` |
    `protected boolean` | `includeInBatch​(DbAttribute attribute)` | Returns true if an attribute should be included in the batch.

    - ### Methods inherited from class org.apache.cayenne.access.translator.batch.DefaultBatchTranslator

      `appendDbAttribute, ensureTranslated, getBindings, getSql, updateBindings`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InsertBatchTranslator

          public InsertBatchTranslator​(InsertBatchQuery query,
                                       DbAdapter adapter)

  - ### Method Detail

    - #### createSql

          protected String createSql()

      Specified by:
        `createSql` in class `DefaultBatchTranslator`

    - #### createBindings

          protected DbAttributeBinding[] createBindings()

      Specified by:
        `createBindings` in class `DefaultBatchTranslator`

    - #### doUpdateBindings

          protected DbAttributeBinding[] doUpdateBindings​(BatchQueryRow row)

      Specified by:
        `doUpdateBindings` in class `DefaultBatchTranslator`

    - #### includeInBatch

          protected boolean includeInBatch​(DbAttribute attribute)

      Returns true if an attribute should be included in the batch.
      Since:
        1.2